View Issue Details

IDProjectCategoryView StatusLast Update
0004858Talerexchangepublic2017-06-06 14:18
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.3 
Target Version0.3Fixed in Version0.3 
Summary0004858: exchange should initialize database automatically, just like the merchant does
DescriptionFor two reasons:
1. restores consistency with taler-merchant-{httpd,dbinit}
2. makes deployment scripts easier, since we don't have to start the db separately, wait for it and initialize the DB before we can start the exchange
TagsNo tags attached.

Activities

Christian Grothoff

2017-01-13 11:42

manager   ~0011627

We should not _always_ do the dbinit automatically as it is costly and would make us slow when fuzzing or restarting from a crash. Also, there is the issue of "IF NOT EXISTS" not being supported (yet) for indices. And as usual, running less logic is better. However, I don't see a reason why we should not have an *option* to do dbinit within the httpd.

Note that uniformity with the merchant's httpd is a non-goal for me, as the exchange better be run by admins that know exactly what they do, and for them trying to create a table that already exists is a sign of a MAJOR screw-up (in fact, the permission to create tables should have been revoked prior to going into production!), while for merchants my expectation is _WAY_ lower and the usability concerns are _WAY_ higher.

Florian Dold

2017-01-13 14:47

manager   ~0011630

Fixed with https://git.taler.net/exchange.git/commit/?id=0bfb5b25091a1cbdd9911ae124ae6da35cd2b916

Issue History

Date Modified Username Field Change
2017-01-13 01:21 Florian Dold New Issue
2017-01-13 01:21 Florian Dold Status new => assigned
2017-01-13 01:21 Florian Dold Assigned To => Christian Grothoff
2017-01-13 11:42 Christian Grothoff Note Added: 0011627
2017-01-13 14:47 Florian Dold Assigned To Christian Grothoff => Florian Dold
2017-01-13 14:47 Florian Dold Status assigned => resolved
2017-01-13 14:47 Florian Dold Resolution open => fixed
2017-01-13 14:47 Florian Dold Note Added: 0011630
2017-01-16 10:19 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed